<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: V4LCamera.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_v4_l_camera_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">V4LCamera.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_v4_l_camera_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef V4LCamera_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define V4LCamera_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_thread_8h.html">Thread.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_camera_8h.html">Camera.h</a>&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;highgui.h&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">class </span>cvimage;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    }</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keyword">class </span>GridLayout;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keyword">class </span>DoubleSpinBox;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keyword">class </span>CheckBox;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keyword">class </span>Label;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    }</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;{</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_v4_l_camera.html">   40</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html">V4LCamera</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_thread.html">core::Thread</a>, <span class="keyword">public</span> <a class="code" href="classframework_1_1sensor_1_1_camera.html">Camera</a></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    {</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#af0651757a66042aea0d80aaf619d06a2">V4LCamera</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string name,uint8_t camera_index,uint16_t width,uint16_t height,<a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">core::cvimage::Type::Format</a> format,uint8_t priority);</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a43e5f0f48acf2e8da0350a8ac4d44613">~V4LCamera</a>();</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#adda281260c714f284a343a29553dd47e">SetGain</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a9096f79d510d19280ac9c2846fda9758">SetAutoGain</a>(<span class="keywordtype">bool</span> value);</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a1d5b0a8913733b805bcfa1cfbfd14d0a">SetExposure</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a54d5ca384d96884bb4a3bd78e4fb3fbb">SetAutoExposure</a>(<span class="keywordtype">bool</span> value);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a2b572f107602b006e12ec561d4fc0dac">SetBrightness</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a02ab8b4408c9c3639c04ba9507db329b">SetSaturation</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a36a9fef11322d359951f6e6b6034c95b">SetHue</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_v4_l_camera.html#a5b9e29dff0ec8e092a87533fb0d3c5b8">SetContrast</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            <span class="keywordtype">void</span> Run(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            CvCapture* capture;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a>* sensor_tab;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_double_spin_box.html">gui::DoubleSpinBox</a> *bright,*exposure,*gain,*contrast,*hue,*sharpness,*sat;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_check_box.html">gui::CheckBox</a> *autogain,*awb,*autoexposure;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_label.html">gui::Label</a> *fps;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    };</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="preprocessor">#endif // V4LCamera_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_check_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_check_box.html">framework::gui::CheckBox</a></div><div class="ttdoc">Class displaying a QCheckBox on the ground station. </div><div class="ttdef"><b>Definition:</b> CheckBox.h:26</div></div>
<div class="ttc" id="classframework_1_1core_1_1_thread_html"><div class="ttname"><a href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></div><div class="ttdoc">Abstract class for a thread. </div><div class="ttdef"><b>Definition:</b> Thread.h:34</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a43e5f0f48acf2e8da0350a8ac4d44613"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a43e5f0f48acf2e8da0350a8ac4d44613">framework::sensor::V4LCamera::~V4LCamera</a></div><div class="ttdeci">~V4LCamera()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a36a9fef11322d359951f6e6b6034c95b"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a36a9fef11322d359951f6e6b6034c95b">framework::sensor::V4LCamera::SetHue</a></div><div class="ttdeci">virtual void SetHue(float value)</div><div class="ttdoc">Set Hue. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_adda281260c714f284a343a29553dd47e"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#adda281260c714f284a343a29553dd47e">framework::sensor::V4LCamera::SetGain</a></div><div class="ttdeci">virtual void SetGain(float value)</div><div class="ttdoc">Set Gain. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a5b9e29dff0ec8e092a87533fb0d3c5b8"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a5b9e29dff0ec8e092a87533fb0d3c5b8">framework::sensor::V4LCamera::SetContrast</a></div><div class="ttdeci">virtual void SetContrast(float value)</div><div class="ttdoc">Set Contrast. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_af0651757a66042aea0d80aaf619d06a2"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#af0651757a66042aea0d80aaf619d06a2">framework::sensor::V4LCamera::V4LCamera</a></div><div class="ttdeci">V4LCamera(const core::FrameworkManager *parent, std::string name, uint8_t camera_index, uint16_t width, uint16_t height, core::cvimage::Type::Format format, uint8_t priority)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html">framework::sensor::V4LCamera</a></div><div class="ttdoc">Base class for V4l camera. </div><div class="ttdef"><b>Definition:</b> V4LCamera.h:40</div></div>
<div class="ttc" id="_thread_8h_html"><div class="ttname"><a href="_thread_8h.html">Thread.h</a></div><div class="ttdoc">Abstract class for a thread. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_tab_html"><div class="ttname"><a href="classframework_1_1gui_1_1_tab.html">framework::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:27</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_label_html"><div class="ttname"><a href="classframework_1_1gui_1_1_label.html">framework::gui::Label</a></div><div class="ttdoc">Class displaying a QLabel on the ground station. </div><div class="ttdef"><b>Definition:</b> Label.h:26</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a54d5ca384d96884bb4a3bd78e4fb3fbb"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a54d5ca384d96884bb4a3bd78e4fb3fbb">framework::sensor::V4LCamera::SetAutoExposure</a></div><div class="ttdeci">virtual void SetAutoExposure(bool value)</div><div class="ttdoc">Set Auto Exposure. </div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_1_1_type_html_ae8a6b4177d1f139d893636917635528e"><div class="ttname"><a href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">framework::core::cvimage::Type::Format</a></div><div class="ttdeci">Format</div><div class="ttdef"><b>Definition:</b> cvimage.h:35</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_double_spin_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_double_spin_box.html">framework::gui::DoubleSpinBox</a></div><div class="ttdoc">Class displaying a QDoubleSpinBox on the ground station. </div><div class="ttdef"><b>Definition:</b> DoubleSpinBox.h:26</div></div>
<div class="ttc" id="_camera_8h_html"><div class="ttname"><a href="_camera_8h.html">Camera.h</a></div><div class="ttdoc">Base class for Camera. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a02ab8b4408c9c3639c04ba9507db329b"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a02ab8b4408c9c3639c04ba9507db329b">framework::sensor::V4LCamera::SetSaturation</a></div><div class="ttdeci">virtual void SetSaturation(float value)</div><div class="ttdoc">Set Saturation. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a1d5b0a8913733b805bcfa1cfbfd14d0a"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a1d5b0a8913733b805bcfa1cfbfd14d0a">framework::sensor::V4LCamera::SetExposure</a></div><div class="ttdeci">virtual void SetExposure(float value)</div><div class="ttdoc">Set Exposure. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a9096f79d510d19280ac9c2846fda9758"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a9096f79d510d19280ac9c2846fda9758">framework::sensor::V4LCamera::SetAutoGain</a></div><div class="ttdeci">virtual void SetAutoGain(bool value)</div><div class="ttdoc">Set Auto Gain. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_v4_l_camera_html_a2b572f107602b006e12ec561d4fc0dac"><div class="ttname"><a href="classframework_1_1sensor_1_1_v4_l_camera.html#a2b572f107602b006e12ec561d4fc0dac">framework::sensor::V4LCamera::SetBrightness</a></div><div class="ttdeci">virtual void SetBrightness(float value)</div><div class="ttdoc">Set Brightness. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_camera_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_camera.html">framework::sensor::Camera</a></div><div class="ttdoc">Base class for Camera. </div><div class="ttdef"><b>Definition:</b> Camera.h:39</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><a class="el" href="_v4_l_camera_8h.html">V4LCamera.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
